ae-sccs-put(1)

NAME
ae-sccs-put - put sccs version

SYNOPSIS
ae-sccs-put -ycomment -Ginput-file history-file

DESCRIPTION
The ae-sccs-put command is used to commit changes to an SCCS file. It insulates against a number of SCCS's quirks, and maps to Aegis' expectations better than using the SCCS commands directory in the history commands in the project config file.

The file comments must be specified on the command line.

The source file must be specified on the command line.

It is expected that there is not lock current in the history file. This is consistent with Aegis' use of its history tool.

The history file need to exist yet. It will be created (with the sccs admin command) if it does not.

OPTIONS
The following options are understood:

-Gsource-file
    This option must be used to specify the source file to be checked into the history.

-ycomment
    This option must be used to specify the comment to be attached to the file history. You probably need to use quotes to insulate the white space in the comment.

EXIT STATUS
The ae-sccs-put command will exit with a status of 1 on any error. The ae-sccs-put command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

COPYRIGHT
ae-sccs-put version 4.24.2.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The ae-sccs-put program comes with ABSOLUTELY NO WARRANTY; for details use the 'ae-sccs-put -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'ae-sccs-put -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/